mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Runtime.InteropServices.ComVisible(true)

Can be used as an argument to a native method reached through platform invoke. In this case, the platform invoke marshaler will retrieve the starting address of the array, add the offset, and pass the resulting pointer to the underlying native function. This structure only supports arrays containing no references, such as primitive type arrays and value type arrays containing only fields of primitive types.

Encapsulates an array and an offset within the specified array.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the structure.

  A managed array.
  The offset in bytes, of the element to be passed through platform invoke.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Indicates whether the specified object matches the current object.

  true if the object matches this ; otherwise, false.

  Object to compare with this instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Indicates whether the specified object matches the current instance.

  true if the specified object matches the current instance; otherwise, false.

  An object to compare with this instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added

  Returns the managed array referenced by this .

  The managed array this instance references.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns a hash code for this value type.

  The hash code for this instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the offset provided when this was constructed.

  The offset for this instance.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines whether two specified objects have the same value.

  true if the value of is the same as the value of ; otherwise, false.

  An object to compare with the parameter. An object to compare with the parameter.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines whether two specified objects no not have the same value.

  true if the value of is not the same as the value of ; otherwise, false.

  An object to compare with the parameter. An object to compare with the parameter.